Ubuntu 5538-1: libtirpc vulnerability | LinuxSecurity.com
==========================================================================
Ubuntu Security Notice USN-5538-1
July 28, 2022

libtirpc vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS

Summary:

libtirpc could be made to denial of service if it received a specially
crafted input.

Software Description:
- libtirpc: transport-independent RPC library - common files

Details:

It was discovered that libtirpc incorrectly handled certain inputs.
An attacker could possibly use this issue to cause a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.04 LTS:
  libtirpc3                       1.3.2-2ubuntu0.1

Ubuntu 20.04 LTS:
  libtirpc3                       1.2.5-1ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5538-1
  CVE-2021-46828

Package Information:
  https://launchpad.net/ubuntu/+source/libtirpc/1.3.2-2ubuntu0.1
  https://launchpad.net/ubuntu/+source/libtirpc/1.2.5-1ubuntu0.1

Ubuntu 5538-1: libtirpc vulnerability

July 28, 2022

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 22.04 LTS - Ubuntu 20.04 LTS Summary: libtirpc could be made to denial of service if it received a specially crafted input. Software Description: - libtirpc: transport-independent RPC library - common files Details: It was discovered that libtirpc incorrectly handled certain inputs. An attacker could possibly use this issue to cause a denial of service.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 22.04 LTS: libtirpc3 1.3.2-2ubuntu0.1 Ubuntu 20.04 LTS: libtirpc3 1.2.5-1ubuntu0.1 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-5538-1

CVE-2021-46828

Severity
Ubuntu Security Notice USN-5538-1

Package Information

https://launchpad.net/ubuntu/+source/libtirpc/1.3.2-2ubuntu0.1 https://launchpad.net/ubuntu/+source/libtirpc/1.2.5-1ubuntu0.1

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.